<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PromotionCodeItems StructType
 * @subpackage Structs
 */
class PromotionCodeItems extends AbstractStructBase
{
    /**
     * The item
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $item;
    /**
     * Constructor method for PromotionCodeItems
     * @uses PromotionCodeItems::setItem()
     * @param \StructType\RecordRef $item
     */
    public function __construct(\StructType\RecordRef $item = null)
    {
        $this
            ->setItem($item);
    }
    /**
     * Get item value
     * @return \StructType\RecordRef|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param \StructType\RecordRef $item
     * @return \StructType\PromotionCodeItems
     */
    public function setItem(\StructType\RecordRef $item = null)
    {
        $this->item = $item;
        return $this;
    }
}
